
-- set serveroutput on format wrapped;

DECLARE CURSOR cursorValue IS
      SELECT puid, rowning_siteu, rowning_sitec
      FROM infodba.PPOM_OBJECT
      WHERE rowning_siteu is not null; 
    
      ppom_object_rec cursorValue%ROWTYPE;
    
BEGIN
    OPEN cursorValue;
    FETCH cursorValue INTO ppom_object_rec;
    DBMS_OUTPUT.put_line('Update infodba.PPOM_OBJECT.rowning_siteu=null  infodba.PPOM_OBJECT.rowning_sitec=null ');
  
    WHILE (cursorValue%FOUND) LOOP
      DBMS_OUTPUT.put_line(rpad(ppom_object_rec.puid,15,' ')||'] ['|| rpad(ppom_object_rec.rowning_siteu,30,' '));
      
      FETCH cursorValue INTO ppom_object_rec;
    END LOOP;
    CLOSE cursorValue;
END ; 
